[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFishStream.Create

Create a new instance of the TBlowFishStream class

## Declaration

Source position: blowfish.pp line 62

`public constructor TBlowFishStream.Create(`
`AKey: TBlowFishKey;`
`AKeySize: Byte;`
`Dest: TStream`
`); virtual; overload; constructor TBlowFishStream.Create(`
`const KeyPhrase: string;`
`Dest: TStream`
`); overload;`

## Arguments

`AKey` |  | Encryption/Decryption key
`AKeySize` |  | Actual key size.
`Dest` |  | Destination stream

## Arguments

`KeyPhrase` |  | String to compute key from
`Dest` |  | Destination stream

## Description

Create initializes a new instance of TBlowFishStream, and creates an internal instance of TBlowFish using AKey and AKeySize. The Dest stream is stored so the descendent classes can refer to it.

Do not create an instance of TBlowFishStream directly. Instead create one of the descendent classes TBlowFishEncryptStream or TBlowFishDecryptStream.

The overloaded version with the KeyPhrase string argument is used for easy access: it computes the Blowfish key from the given string.

## See also

TBlowFishEncryptStream |  | On-the-fly Blowfish encryption stream
TBlowFishDecryptStream |  | On-the-fly Blowfish decryption stream
TBlowFish |  | Class implementing Blowfish encryption/decryption